/**
 * Abstract class for metadata returned by the Juracus API.
 *
 * @param <T> - Type of the metadata's value.
 * @author Onur Gürsoy
 */
export declare class ApiMetadata<T> {
    readonly name: string;
    readonly description: string;
    readonly value: T;
    /**
     * @param name        Name of the metadata.
     * @param description Description of the metadata.
     * @param value       Value of the metadata.
     */
    constructor(name: string, description: string, value: T);
    readonly hasValue: () => boolean;
}
